[Dell Latitude E7440] 14.04 Touchpad causing mouse pointer to spuriously jump around screen

Bug #1272624 reported by shclim on 2014-01-25
136
This bug affects 25 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

From the live usb the touchpad seems less jerky compared to ubuntu 13.10 but is still not as smooth as Windows 7.

This may be due to how the touchpad is detected as a PS/2 mouse instead of a more appropriate touchpad driver:
https://launchpadlibrarian.net/163664336/BootDmesg.txt
[ 4.088881] mousedev: PS/2 mouse device common for all mice

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-5-generic 3.13.0-5.20
ProcVersionSignature: Ubuntu 3.13.0-5.20-generic 3.13.0
Uname: Linux 3.13.0-5-generic x86_64
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 4246 F.... pulseaudio
 /dev/snd/controlC1: ubuntu 4246 F.... pulseaudio
CasperVersion: 1.336ubuntu1
CurrentDesktop: Unity
Date: Sat Jan 25 06:50:44 2014
LiveMediaBuild: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140124)
MachineType: Dell Inc. Latitude E7440
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash --
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-5-generic N/A
 linux-backports-modules-3.13.0-5-generic N/A
 linux-firmware 1.122
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/02/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 0PPXP5
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd01/02/2014:svnDellInc.:pnLatitudeE7440:pvr01:rvnDellInc.:rn0PPXP5:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E7440
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

shclim (shclim) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: latest-bios-a07
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
shclim (shclim) wrote :

Christopher, I've just tried the live image again and the cursor still jumps/jerks around a little more than I would like. It is however better than in 13.10 (but not as smooth as Windows 7)

I would therefore suggest that this bug report gets left open for now until others can confirm the bug.

shclim (shclim) on 2014-01-26
description: updated

Scott Hosking, thank you for clarifying the Bug Description.

Could you please post the output of the following terminal command:
synclient

As well, could you please adjust these default settings and advise if you get the desired smoothness following https://help.ubuntu.com/community/SynapticsTouchpad#Control_touchpad_features_using_synclient ?

summary: - Improvements to touchpad on Dell Latitude E7440
+ [Dell Latitude E7440] 14.04 Touchpad not as smooth as Win7

Here is the output for 14.04 for synclient:

Parameter settings:
    LeftEdge = 300
    RightEdge = 1700
    TopEdge = 210
    BottomEdge = 1190
    FingerLow = 12
    FingerHigh = 15
    MaxTapTime = 180
    MaxTapMove = 107
    MaxDoubleTapTime = 180
    SingleTapTimeout = 180
    ClickTime = 100
    EmulateMidButtonTime = 75
    EmulateTwoFingerMinZ = 141
    EmulateTwoFingerMinW = 7
    VertScrollDelta = 48
    HorizScrollDelta = 48
    VertEdgeScroll = 0
    HorizEdgeScroll = 0
    CornerCoasting = 0
    VertTwoFingerScroll = 1
    HorizTwoFingerScroll = 1
    MinSpeed = 1
    MaxSpeed = 1.75
    AccelFactor = 0.0819336
    TouchpadOff = 0
    LockedDrags = 0
    LockedDragTimeout = 5000
    RTCornerButton = 2
    RBCornerButton = 3
    LTCornerButton = 0
    LBCornerButton = 0
    TapButton1 = 1
    TapButton2 = 3
    TapButton3 = 0
    ClickFinger1 = 1
    ClickFinger2 = 1
    ClickFinger3 = 0
    CircularScrolling = 0
    CircScrollDelta = 0.1
    CircScrollTrigger = 0
    PalmDetect = 0
    PalmMinWidth = 10
    PalmMinZ = 100
    CoastingSpeed = 20
    CoastingFriction = 50
    PressureMotionMinZ = 15
    PressureMotionMaxZ = 80
    PressureMotionMinFactor = 1
    PressureMotionMaxFactor = 1
    ResolutionDetect = 1
    GrabEventDevice = 1
    TapAndDragGesture = 1
    AreaLeftEdge = 0
    AreaRightEdge = 0
    AreaTopEdge = 0
    AreaBottomEdge = 0
    HorizHysteresis = 12
    VertHysteresis = 12
    ClickPad = 0

shclim (shclim) wrote :

Following #6, the synclient output for ubuntu 13.10 differs for the following options (ubuntu 14.04 output is in brackets)

    RTCornerButton = 0 (2)
    RBCornerButton = 0 (3)
    LTCornerButton = 0
    LBCornerButton = 0
    TapButton1 = 0 (1)
    TapButton2 = 0 (3)
    TapButton3 = 0

I've also noticed that in both OS versions the touchpad doesn't respond at the very top and very bottom of the touchpad area (the left and right handsides are responsive).

As adviced in #5, I'll look into changing some of the default values and post back here.

shclim (shclim) wrote :

The main problem seems to be when I place a second finger close to my first finger causing the cursor to jump and jerk across the screen (i.e., disappers and reappears in any other part of the screen). I have tried to alter values in synclient to reduce this but I haven't had much luck.

I've compared the touchpad sensitivity in Win7 and this doesn't happen there. As for the touchpad area, the very top and very bottom also are not respsonsive in Win7 so this is probably not an issue, just something I picked up on (#7) when searching for clues.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Allan Crooks (amcone) wrote :

Scott - do you see the "driver resynced" messages in syslog when the cursor jumps around (as I described in bug 1258837)?

shclim (shclim) wrote :

Allan, in syslog I see the following...

Jan 27 18:19:29 oort kernel: [ 206.716178] psmouse serio1: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
Jan 27 18:19:29 oort kernel: [ 206.717133] psmouse serio1: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
Jan 27 18:19:29 oort kernel: [ 206.718183] psmouse serio1: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
Jan 27 18:19:29 oort kernel: [ 206.721269] psmouse serio1: GlidePoint at isa0060/serio1/input0 - driver resynced.

however, if I make the cursor jump around again (as described in #8) I don't see new messages in appear this log.

shclim (shclim) wrote :

I have now installed the latest daily image of Ubuntu 14.04 as the main install to help with testing before the final release.

The mouse cursor is still jumpy as described above. If another bug report or further information would be useful at anytime feel free to let me know.

tags: added: regression-potential
shclim (shclim) wrote :

Hi Christopher, this was also a problem in Ubuntu 13.10.

Scott Hosking, did this problem not occur in a release prior to Saucy?

tags: added: saucy
shclim (shclim) wrote :

Christopher, I have not personally tested on a release prior to Saucy but according to comment #15 in bug 1258837 the touchpad bug (if it is the same) didn't seem to exhibit itself in earlier kernel versions used in 12.04

Scott Hosking, for regression testing purposes could you please test for this in 12.04.0 via http://old-releases.ubuntu.com/releases/12.04.0/ and advise if this is reproducible?

MarvTheRobot (marvtherobot) wrote :

Scott, if you get chance, also test ElementaryOS. I have just switched from that to Ubuntu and Ubuntu Gnome 14.04 for testing and my touchpad (Lenovo Z500) is also quite jerky. Or rather I suppose I would describe it as a grainy movement. In ElementaryOS it was fine although it is also jerky in 12.04 which ElementaryOS is based upon.

I'm going to try and find out if the Elementary team adding anything else to their distro.

Might not help, but if 12.04 is the same..might be worth a shot.

shclim (shclim) wrote :

Christopher M. Penalver, in the live USB of 12.04.0 the two-finger scrolling can not be activated under Settings-->Mouse. The problem was not reproducable but I put that down to the OS not recognising the second finger.

Edward-douse, I tried the newest version of ElementaryOS and the results were similar to 12.04.0 above -- i.e., the mouse worked fine but not with two-finger scroll. Under settings-->mouse, there was an option to activate two-finger scroll but this didn't seem to do anything (i.e., scroll was still not being detected when tested in Midori and terminal apps).

From these tests alone, there doesn't seem to be a regression as the touchpad driver (which allows two-finger scrolling in 14.04) is not activated in either of these OSs.

Scott Hosking, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.14-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: precise
removed: regression-potential
shclim (shclim) wrote :

Christopher M. Penalver, I have just installed and rebooted to test the following (below) and found that the bug still exists.

linux-image-3.14.0-031400rc4-generic_3.14.0-031400rc4.201402232235_amd64.deb
linux-headers-3.14.0-031400rc4-generic_3.14.0-031400rc4.201402232235_amd64.deb

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.14-rc4
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Scott Hosking, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
description: updated
shclim (shclim) on 2014-04-03
summary: - [Dell Latitude E7440] 14.04 Touchpad not as smooth as Win7
+ [Dell Latitude E7440] 14.04 Touchpad causings mouse pointer to
+ spuriously jumps around
summary: [Dell Latitude E7440] 14.04 Touchpad causings mouse pointer to
- spuriously jumps around
+ spuriously jump around screen
summary: - [Dell Latitude E7440] 14.04 Touchpad causings mouse pointer to
- spuriously jump around screen
+ [Dell Latitude E7440] 14.04 Touchpad causing mouse pointer to spuriously
+ jump around screen
Mark Smith (mrksmith) wrote :

I'm on an E7240 running 12.04 LTS (anxiously awaiting my employeer to certify 14.04 with all our internal tools and what-not) and I have this problem. I'm pretty sure it happens because my middle and ring fingers accidentally touch the top edge of the pad while my pointer finger is moving the cursor. I can reproduce this on purpose by running "xinput --test [device number]" and watching the events while I do the following:

- Touch the pad near the middle or bottom. The cursor moves slightly as my finger wiggles around.
- Without removing the first finger, touch the pad again with a second finger above the first finger. The cursor shoots up to a[1]=0 (which is the y position).
- Without removing the first finger, remove the second (top) finger. The cursor shoots back down to a[1]=<some large number> Sometimes it takes it all the way to the bottom of the screen, sometimes it goes back to where it was, or somewhere else. I haven't been able to figure out how it decides what to go back to.

With this, while I touching with my pointer finger and my middle or ring finger accidentally touch the pad at the top, the cursor shoots where I don't want it. Then when my middle/ring finger leaves the pad (usually because I started cursing (get it?) at my cursor), it shoots back down again somewhere completely arbitrary.

Similarly:

- Touch the bad near the top.
- Without removing the top finger, touch somewhere near the bottom. The cursor doesn't (yet) move.
- Lift the top finger. The cursor shoots to the bottom.
- Put down the top finger again, without lifting the bottom. The cursor shoots back up again.

You can make the cursor shoot up and down just by keeping your bottom finger down and tapping the top finger. The cursor follows the top finger no matter what you do.

Interestingly, this does NOT happen from side-to-side. Two touches side-by-side trigger the multi-touch gestures and don't move the cursor.

If we could just get it so that going from single touch to multi-touch top-to-bottom doesn't actually move the cursor, that would be grand.

Thank you very much for all your help. :-)

Mark Smith <email address hidden> writes:

> I'm on an E7240 running 12.04 LTS (anxiously awaiting my employeer to
> certify 14.04 with all our internal tools and what-not) and I have this

[...]

> - Touch the pad near the middle or bottom. The cursor moves slightly as my finger wiggles around.
> - Without removing the first finger, touch the pad again with a second finger
> above the first finger. The cursor shoots up to a[1]=0 (which is the y
> position).
> - Without removing the first finger, remove the second (top) finger. The cursor
> shoots back down to a[1]=<some large number> Sometimes it takes it all the way
> to the bottom of the screen, sometimes it goes back to where it was, or
> somewhere else. I haven't been able to figure out how it decides what to go back
> to.

I can confirm this behaviour also on Ubuntu 14.04 on the Latitude E7440
(AlpsPS/2 ALPS DualPoint TouchPad). Kernel 3.13.0-29.53 x86-64.

[...]

> Similarly:
>
> - Touch the bad near the top.
> - Without removing the top finger, touch somewhere near the bottom. The cursor doesn't (yet) move.
> - Lift the top finger. The cursor shoots to the bottom.
> - Put down the top finger again, without lifting the bottom. The
> cursor shoots back up again.

This as well.

Øyvind
--
< Øyvind Stegard
 < http://stegard.net/

Mark Smith / Øyvind Stegard, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Øyvind Stegard (oyvinst) wrote :

Latest BIOS for the E7440 (A10) does not help.

tags: added: bios-outdated-a10
removed: latest-bios-a07
Øyvind Stegard (oyvinst) wrote :

I'm getting tired of this "create duplicate reports" stupidity. I'll unsubscribe now and will provide no more information.

Chris (underminded000) wrote :

I'am also experiencing the same issue on my Dell e7440 using Ubuntu 14.04.

Julian (house-of-jules) wrote :

I have the same problem on my e7440 using 14.04

Viil (viil) wrote :

I have the same problem on my E7440 using Ubuntu 14.04

Andrei Vainik (anttivainik) wrote :

Same problem on my E7400. When holding finger down, cursor starts jumping back and forth from finger location to some random location and does random clicks. Very annoying.
Updating to latest BIOS A11, did not help.

Peleg (freepeleg) wrote :

Same problem here; Ubuntu 14.04.2, Dell E7440, BIOS version A14.

Scott Hosking, could you test the latest mainline kernel (4.0-rc7) and advise to the results?

As well, could you please provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Changed in linux (Ubuntu):
status: Triaged → Incomplete
tags: added: bios-outdated-a14
removed: bios-outdated-a10
Peleg (freepeleg) wrote :

My output of `sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date`:

A14
02/02/2015

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
alkamid (adamkli) wrote :

Same problem on my Dell E7440, Ubuntu 14.04.2.

alkamid, if you would like your issue addressed as quick as possible, please file a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Martyn (martyn-berry) wrote :

Same problem on my Dell E7440. with Ubuntu 14.04.3 (installed version).
When holding my finger still on the touchpad, the cursor starts jumping back and forth (mainly vertically) from finger location to some random location.
Updating to latest BIOS A15, and latest touchpad drivers on 17th August did not help.
Problem seems to not happen for the first few minutes after each Ubuntu startup, but then starts happening and becomes quite frequent after about 20 minutes.
The problem does not happen with the keyboard trackpoint mouse button.

pfoo (pfoo) wrote :

Had same bug on a Dell E6530. Still present in 15.04;

Changed in linux (Ubuntu):
status: Expired → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

pfoo, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Hello,
Sorry for the slow response, but I upgraded to Ununtu 15;10 on the
release day, and have been checking to see if the problem still exists
om 15.10, unfortunately it still exists with 15.10

I am very new to Linux in general, (just in process of migrating from
Windows 7 to Ubuntu), I am new to the forum and am not sure what you
mean by filing a new report via a terminal.

Looking at the forum, the reports seem to include a lot of device /
system specific information
What information needs to be included, and how do I f
in it?

Please, a bit of advice would be very helpful, as I am a complete
newbie, :-[

On 22/10/15 02:54, Christopher M. Penalver wrote:
> pfoo, it will help immensely if you filed a new report via a terminal:
> ubuntu-bug linux
>
> Please feel free to subscribe me to it.
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Tim Banchi (tim-banchi) wrote :

I experience the same problem with Ubuntu 14.04 amd64 on a Dell Latitude E7440. No issue with the trackpoint. Sometimes this issue stops suddenly, but when the problem occurs, it is impossible to work on e.g. spreadsheets because the cursor is constantly jumping away from the cell I want to click.

As a cross reference: I found this link:
http://askubuntu.com/questions/462135/touchpad-issue-jumping-cursor-while-typing-ubuntu-14-04-syndaemon-dont-help

But I have to check whether it helps solve the problem

Martyn (martyn-berry) wrote :

It seems to be the same problem as I am having with my Dell Latitude E7440 with Ubuntu 14.04.03, Ubuntu 15.04 amd64, Ubuntu 15.10 amd64, and also when testing with the latest upstream kernels.

I raised a separate bug report for the problem as requested by Christopher M. Penalver 22/10/15; this bug report is currently active (https://bugs.launchpad.net/bugs/1513914)

I am not sure about the link, it seems to suggest that it has already been fixed in kernel 3.1.6+, but I am now up to kernel 4.4.0 and the problem still exists.

Martyn

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers